API Reference for Marketo Engage

Update Landing Page Dynamic Content Section

POST /rest/asset/v1/landingPage/{id}/dynamicContent/{contentId}.json

Updates the content of the target dynamic content section.

Operation ID
updateLandingPageDynamicContentUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfIdResponse

Parameters

Path 2

id integer (int32) required

Id of the landing page

contentId string required

Id of the landing page dynamic content

Request body

application/x-www-form-urlencoded · optional · UpdateLandingPageDynamicContentRequest · 17 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

backgroundColor string

background-color property of the HTML section

borderColor string

border-color property of the HTML section

borderStyle string

border-style property of the HTML section

borderWidth string

border-width property of the HTML section

height string

height property of the HTML section

hideDesktop boolean

Hide the section when displayed on a desktop browser. Default false

hideMobile boolean

Hide the section when displayed on a mobile browser. Default false

imageOpenNewWindow string
left string

left property of the HTML section

linkUrl string

URL parameter of a link type section

opacity string

opacity property of the HTML section

segment string

Name of the segment to display content section for

top string

top property of the HTML section

type string

Type of content section

value string

Type of content section

width string

width property of the HTML section

zIndex string

z-index property of the HTML section

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results